Extending Qt Creator Manual | MimeProviderBase

Extending Qt Creator Manual 4.7.1

# MimeProviderBase Class

(Utils::Internal::MimeProviderBase)

- List of all members, including inherited members

## Public Functions

| MimeProviderBase(Utils::Internal::MimeDatabasePrivate *db)
virtual | ~MimeProviderBase()
int | allMimeTypes()
int | findByFileName(const int &, int *)
int | findByMagic(const int &, int *)
virtual bool | isValid() = 0
int | listAliases(const int &)
virtual void | loadGenericIcon(int &)
virtual void | loadIcon(int &)
virtual void | loadMimeTypePrivate(int &)
int | mimeTypeForName(const int &)
int | parents(const int &)
int | resolveAlias(const int &)
virtual void | setGlobPatternsForMimeType(const int &mimeType, const int &patterns) = 0
virtual void | setMagicRulesForMimeType(const int &mimeType, const int) = 0

## Protected Functions

bool | shouldCheck()

## Member Function Documentation

### MimeProviderBase::MimeProviderBase(Utils::Internal::MimeDatabasePrivate *db)

Default constructs an instance of MimeProviderBase.

### `[virtual]` MimeProviderBase::~MimeProviderBase()

Destroys the instance of MimeProviderBase. The destructor is virtual.

### int MimeProviderBase::allMimeTypes()

### int MimeProviderBase::findByFileName(const int &, int *)

### int MimeProviderBase::findByMagic(const int &, int *)

### `[pure virtual]` bool MimeProviderBase::isValid()

### int MimeProviderBase::listAliases(const int &)

### `[virtual]` void MimeProviderBase::loadGenericIcon(int &)

### `[virtual]` void MimeProviderBase::loadIcon(int &)

### `[virtual]` void MimeProviderBase::loadMimeTypePrivate(int &)

### int MimeProviderBase::mimeTypeForName(const int &)

### int MimeProviderBase::parents(const int &)

### int MimeProviderBase::resolveAlias(const int &)

### `[pure virtual]` void MimeProviderBase::setGlobPatternsForMimeType(const int &mimeType, const int &patterns)

### `[pure virtual]` void MimeProviderBase::setMagicRulesForMimeType(const int &mimeType, const int)

### `[protected]` bool MimeProviderBase::shouldCheck()